Package org.mockserver.saml
Class SamlProviderConfiguration
java.lang.Object
org.mockserver.saml.SamlProviderConfiguration
- All Implemented Interfaces:
Serializable
Configuration for the SAML 2.0 mock identity provider. All fields are optional with
sensible defaults so that
PUT /mockserver/saml with an empty body produces a
fully functional mock IdP: a metadata endpoint and an SSO endpoint implementing the
SP-initiated Web-Browser-SSO POST profile.
If signingCertificatePem / signingPrivateKeyPem are not supplied a
self-signed RSA signing credential is generated, and its certificate is published in the
IdP metadata so the relying party (SP) can validate the XML signature.
- See Also:
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionlongbooleanbooleanbooleansetAssertionConsumerServiceUrl(String assertionConsumerServiceUrl) setAttributes(Map<String, String> attributes) setExpiredAssertion(boolean expiredAssertion) setIdpEntityId(String idpEntityId) setMetadataUrl(String metadataUrl) setNameIdFormat(String nameIdFormat) setSessionDurationSeconds(long sessionDurationSeconds) setSigningAlgorithm(String signingAlgorithm) setSigningCertificatePem(String signingCertificatePem) setSigningPrivateKeyPem(String signingPrivateKeyPem) setSloServiceUrl(String sloServiceUrl) setSpEntityId(String spEntityId) setSpSingleLogoutServiceUrl(String spSingleLogoutServiceUrl) setSsoServiceUrl(String ssoServiceUrl) setSubjectNameId(String subjectNameId) setTamperedSignature(boolean tamperedSignature) setWrongAudience(boolean wrongAudience)
-
Constructor Details
-
SamlProviderConfiguration
public SamlProviderConfiguration()
-
-
Method Details
-
getIdpEntityId
-
setIdpEntityId
-
getSsoServiceUrl
-
setSsoServiceUrl
-
getMetadataUrl
-
setMetadataUrl
-
getSpEntityId
-
setSpEntityId
-
getAssertionConsumerServiceUrl
-
setAssertionConsumerServiceUrl
-
getSloServiceUrl
-
setSloServiceUrl
-
getSpSingleLogoutServiceUrl
-
setSpSingleLogoutServiceUrl
-
getSubjectNameId
-
setSubjectNameId
-
getNameIdFormat
-
setNameIdFormat
-
getAttributes
-
setAttributes
-
getSessionDurationSeconds
public long getSessionDurationSeconds() -
setSessionDurationSeconds
-
getSigningAlgorithm
-
setSigningAlgorithm
-
isExpiredAssertion
public boolean isExpiredAssertion() -
setExpiredAssertion
-
isWrongAudience
public boolean isWrongAudience() -
setWrongAudience
-
isTamperedSignature
public boolean isTamperedSignature() -
setTamperedSignature
-
getSigningCertificatePem
-
setSigningCertificatePem
-
getSigningPrivateKeyPem
-
setSigningPrivateKeyPem
-